Spiff (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg
Class Spiff

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg.Spiff

    public class Spiff

extends java.lang.Object

Static methods and data for SPIFF Jpeg files.

Author:
  Gary McGath

Field Summary
`static int` | `CONTACT_INFO`
`static int` | `COPYRIGHT_INFO`
`static int` | `CREATOR_ID`
`static int` | `EOD`
`static int` | `IMAGE_DESC`
`static int` | `IMAGE_ORIENTATION`
`static int` | `IMAGE_TITLE`
`static int` | `PROTECTION_INDICATOR`
`static int` | `SCAN_INDEX`
`static int` | `SETREF`
`static int` | `THUMBNAIL`
`static int` | `TILE_INDEX`
`static int` | `TIME_STAMP`
`static int` | `VERSION_IDENT`
`static int` | `XFER_CHARACTERISTICS`

Method Summary
`static int` | `colorSpaceToNiso(int s)` Converts S value to NISO color space.
`static int` | `compressionTypeToNiso(int s)` Converts C value to NISO compression scheme.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOD

    public static final int EOD

See Also:
  Constant Field Values

### XFER_CHARACTERISTICS

    public static final int XFER_CHARACTERISTICS

See Also:
  Constant Field Values

### IMAGE_ORIENTATION

    public static final int IMAGE_ORIENTATION

See Also:
  Constant Field Values

### THUMBNAIL

    public static final int THUMBNAIL

See Also:
  Constant Field Values

### IMAGE_TITLE

    public static final int IMAGE_TITLE

See Also:
  Constant Field Values

### IMAGE_DESC

    public static final int IMAGE_DESC

See Also:
  Constant Field Values

### TIME_STAMP

    public static final int TIME_STAMP

See Also:
  Constant Field Values

### VERSION_IDENT

    public static final int VERSION_IDENT

See Also:
  Constant Field Values

### CREATOR_ID

    public static final int CREATOR_ID

See Also:
  Constant Field Values

### PROTECTION_INDICATOR

    public static final int PROTECTION_INDICATOR

See Also:
  Constant Field Values

### COPYRIGHT_INFO

    public static final int COPYRIGHT_INFO

See Also:
  Constant Field Values

### CONTACT_INFO

    public static final int CONTACT_INFO

See Also:
  Constant Field Values

### TILE_INDEX

    public static final int TILE_INDEX

See Also:
  Constant Field Values

### SCAN_INDEX

    public static final int SCAN_INDEX

See Also:
  Constant Field Values

### SETREF

    public static final int SETREF

See Also:
  Constant Field Values

Method Detail

### colorSpaceToNiso

    public static int colorSpaceToNiso(int s)

  Converts S value to NISO color space. Return -1 if there is no matching color space in NISO, or the S value is out of bounds.

### compressionTypeToNiso

    public static int compressionTypeToNiso(int s)

  Converts C value to NISO compression scheme. Return -1 if there is no matching color space in NISO, or the S value is out of bounds.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD